#!/usr/bin/ruby

require "singleton"
require "yaml"

class HConfiguration

  include Singleton 

  def initialize()
   @configurations = Hash.new
   @configurations["CONFIGURATION"] = YAML.load_file('config/configuration.yml')
   # eventuali altri configuration da caricare all'avvio
  end

  def configuration(configurationName)
  
    return @configurations[configurationName]

  end  

  def setValue(fieldValue, fieldName, configurationName = "CONFIGURATION")
    self.configuration(configurationName)[fieldName] = fieldValue
  end

  def value(fieldName, configurationName = "CONFIGURATION")

    return self.configuration(configurationName)[fieldName] 

  end
  

end

def hc()

    return HConfiguration.instance()

end

