#!/usr/bin/ruby

require "singleton"
#require "hmisc/hconfiguration"

class HTranslate

  include Singleton 

  def initialize()

    #p I18n.t("hello")

    language = HConfiguration.instance().value("language")
    @dictionary = YAML.load_file("config/locales/#{language}.yml")[language]

  end

  def translate(word)

    wd = @dictionary[word]
    return (wd) ? wd : word

  end
 
  def tr(word)

    return self.translate(word)

  end

end


def ht(word)

  return  HTranslate.instance().tr(word)

end

