ESCAPED_CHARS = {
  '>'      => '\u003e',
  '<'      => '\u003c',
  '&'      => '\u0026',
  "\u2028" => '\u2028',
  "\u2029" => '\u2029',
}

ESCAPE_REGEX_WITH_HTML_ENTITIES = /[\u2028\u2029><&]/u

class String 
  def to_json
    super.gsub ESCAPE_REGEX_WITH_HTML_ENTITIES, ESCAPED_CHARS
  end
end

