class HDBActionButtons < HDivTag

  def initialize(sourceView: nil, buttons: [], **args)

    @sourceView = sourceView
    @buttons = buttons

    return super(class: 'hdbactionbuttons', **args)
  end


  def html
   
    @buttons.each do |button|
      action = button.delete(:action)
      button = HWidget.new("button", button.delete(:name), class: "actionbutton", **button) 
      button.connect(:onclick, @sourceView, "rpcAction", args: {action: action}, 
                   id: @sourceView.oid, mode: 'none',
                   attributes: ":hdbTableView.ids(obj) => ids")
      self << button
    end
    
    return super
  end 

end
