class HDBFilterView < HDivTag

  def initialize(sourceView: nil, **args)

    @sourceView = sourceView
    return super(class: 'hdbfilterview', **args)

  end

  def applyFilter(value: 'true')
    return @sourceView.html(filter: value)
  end

  def filter
    div = HDivTag.new(class: 'filter-box') 
    div << HWidget.new("span", "Filter:")
    div << filter = HWidget.new("input", class: 'filter', type: 'text', value: "",  
                       onkeypress: "hdbFilterView.keyPress(this, event)")
    filter.connect(:onblur, self, "applyFilter", id: @sourceView.oid, attributes: ":obj.value")
    return div
  end

  def html
    self << filter
    return super
  end 

end
