class HLabelTag < HWidget

    attr_accessor :name, :modelName, :placeholder

    def initialize(name = "", modelName = "", placeholder = "")
      super("label")
      @name = name
      @modelName = modelName
      @placeholder = placeholder
      @carriageReturn = false
    end

    def setCarriageReturn(value = true)
      @carriageReturn = value
      return self
    end

    def html()

      return "" if(@placeholder == nil)

      cr = (@carriageReturn) ? HIO.htmlEcholn("<br/>") : ""
      self.set(for: "#{@modelName}_#{@name}").
        setInnerHTML(@placeholder)
      
      return super() + cr
    
    end

end
