require "hwidgets/hgrouptag"
require "hwidgets/hinputtag"

class HSelectTag < HGroupTag

    attr_accessor

    def initialize(name = nil, modelName = nil, placeholder = nil, **args)
      super(name, modelName, placeholder, args)
      self.setTag("select")
      self.set(name: @modelName, id: "#{@modelName.gsub('[', '_').gsub(']', '')}")
      return self
    end

    def html()
      
      self.reset()

      for i in (0..@items.count - 1) do
        item = @items[i]
        value = @values[i]
        option = HWidget.new("option").setInnerHTML(item.to_s).set(value: value)
        # value || item: se value e' diverso da nil usa value altrimenti item
        option.set(selected: nil) if ((value || item) == @selectedItem.to_s)
        self << option
      end

      return super()
    
    end

end
