#!/usr/bin/ruby

require "singleton"

class HSharedData

  include Singleton 

  def initialize()

    @sharedData = Hash.new

  end

  def sharedData(sharedDataName)
    @sharedData[sharedDataName] = Hash.new() unless (@sharedData[sharedDataName])
    return @sharedData[sharedDataName]
  end 

  def setValue(fieldValue, fieldName, sharedDataName = "default")
    
    #puts "=======> setValue(#{fieldValue}, #{fieldName})".hight_cyan
    if(fieldValue == nil)
      self.sharedData(sharedDataName).delete(fieldName)
    else 
      self.sharedData(sharedDataName)[fieldName] = fieldValue
    end
  end

  def set(fieldName, fieldValue, sharedDataName = 'default')
    self.setValue(fieldValue, fieldName, sharedDataName)
  end

  def value(fieldName, sharedDataName = "default")

    return self.sharedData(sharedDataName)[fieldName]

  end
 
  def show()
    #p "=======> @sharedData: #{@sharedData}"
  end

  def self.test1()

    HSharedData.instance().setValue("wien", "best_city")
    puts HSharedData.instance().value("best_city")

  end

  #HSharedData.test1()

end


def hsd()

    return HSharedData.instance()

end
