class String
  # colorization 
  # http://bitmote.com/index.php?post/2012/11/19/Using-ANSI-Color-Codes-to-Colorize-Your-Bash-Prompt-on-Linux

  def color(code)
    style = 38
    resetColor = "\033[m"
    newColor = "\033[#{style};5;#{code}m"
    return "#{newColor}#{self}#{resetColor}"
  end

  def colorize(color_code)
    "\e[1;#{color_code}m#{self}\e[0m"
  end

  def white
    colorize(37)
  end

  def red
    colorize(31)
  end

  def green
    colorize(32)
  end

  def yellow
    colorize(33)
  end

  def blue
    colorize(34)
  end

  def pink
    colorize(35)
  end

  def hight_red
    colorize(91)
  end

  def hight_green
    colorize(92)
  end

  def hight_yellow
    colorize(93)
  end

  def hight_blue
    colorize(94)
  end

  def hight_purple
    colorize(95)
  end

  def hight_cyan
    colorize(96)
  end

  def hight_white
    colorize(97)
  end
 

  def showColorTable

    puts
    print "  +" 
    for i in 0..35 do
      print "%3.3s" % "#{i}" 
    end
    puts
    puts

    print "  0 "
    for i in 0..15 do
      print "\033[48;5;#{i}m  \033[m "
    end
    puts
    puts

    for i in 0..6 do
      i = i * 36 + 16
      print "%4.4s" % "#{i} " 
      for j in 0..35 do
        val = i + j
        print "\033[48;5;#{val}m  \033[m "
      end 
      puts 
      puts
    end
  
  end

  
end
