#!/usr/bin/env ruby

require 'net/smtp'
require 'mail'

def puta(array, margin: 0) 
  array.each do |value|
    puts " " * margin + "#{value}".green if value.class != Hash and value.class != Array
    puth(value, margin: margin + 3) if value.class == Hash
  end
end

def puth(hash, margin: 0) 
  hash.each do |key, value|
    puts " " * margin + "#{key}:".hight_cyan 
    puts " " * (margin + 3) + "#{value}".hight_cyan if value.class != Hash and value.class != Array
    puta(value, margin: margin + 3) if value.class == Array
  end
end

class HIO

 @@indentSpace = 0

  def self.htmlEcholn(str)
    return "" if (str == "")
    #return str.to_s
    return str.to_s + "\n"
  end

  def self.htmlEcholnOpenBlock(str)

    result = self.htmlEcholn(str)
    @@indentSpace += 1
    return result
  
  end

  def self.htmlEcholnCloseBlock(str)

    @@indentSpace -= 1
    return self.htmlEcholn(str);

  end

  def self.quote(str) 
    return "'#{str}'";
  end
    
  def self.isQuoted(str) 

    return (str[0] == "'" && str[-1] == "'")

  end 

  def self.unQuote(str) 

    return isQuoted(str) ? str[1..-2] : str

  end

  def self.gmailOptions(username, password) 

    return options = { 
      :address              => "smtp.gmail.com",
      :port                 => 587,
      :user_name            => username,
      :password             => password,
      :authentication       => 'plain',
      :enable_starttls_auto => true  
    }

  end


  def self.gmxOptions(username, password) 

    return options = { 
      :address              => "mail.gmx.com",
      :port                 => 587,
      :user_name            => username,
      :password             => password,
      :authentication       => 'plain',
      :enable_starttls_auto => true
    }

  end

  def self.options(emailFrom, emailPassword)
    
    provider = emailFrom[emailFrom.index('@') + 1, emailFrom.size - 1]
    return self.gmxOptions(emailFrom, emailPassword) if(provider == "gmx.com")
    return self.gmailOptions(emailFrom, emailPassword) if(provider == "gmail.com")

  end


  def self.sendEmail(emailFrom, emailTo, emailSubject, emailBody, emailPassword = "quickorder", emailFromName = "") 

    Mail.defaults do
      delivery_method :smtp, self.options(emailFrom, emailPassword)
    end

    Mail.deliver do
      to emailTo
      from emailFrom 
      subject emailSubject
      body emailBody
    end



=begin
message = <<MESSAGE_END
From: Private Person <herbert.bonaffini@gmx.com>
To: A Test User <herbert.bonaffini@gmail.com>
Subject: SMTP e-mail test

This is a test e-mail message.
MESSAGE_END

Net::SMTP.start('smtp.gmx.com', 465, 'localhost', 'herbert.bonaffini@gmx.com', 'quickorder', :plain) do |smtp|
  smtp.send_message message, 'herbert.bonaffini@gmx.com', 
                             'herbert.bonaffini@gmail.com'
end


    provider = substr($emailFrom, strpos($emailFrom, '@') + 1);

    if(provider == "gmx.com")
      phpMailer = HIO::gmxPHPmailer();
    else
      phpMailer = HIO::gmailPHPmailer();

      phpMailer->Username = emailFrom;
      phpMailer->Password = password;
=end

  end

end

